Gündem

Adobe, Flash Player için kritik açıkları yamadı

By

on

Flash Player ve Digital Editions’ta bulunan 30’un üzerinde güvenlik açığı Adobe Systems tarafından yayınlanan güncellemeyle kapatıldı.

Flash Player‘da bulunan 26 güvenlik açığı, desteklenen tüm platformlarda (Windows, Mac, Linux) mevcuttu ve güncellemeyle çözüldü. Bu açıkların yirmi üçü, uzaktan kod komutu verme olanağı tanıyordu ve kalan üçü ise bilgi paylaşımı veya güvenlik özelliklerini baypas etmek için kullanılabiliyordu.

Adobe tarafından yayınlanan bildirimde, Windows ve Mac kullanıcılarına Flash Player sürüm 23.0.0.162’ye geçmeleri tavsiye ediliyor. Linux üzerinde ise sürüm 11.2.202.635’e geçmek gerekiyor.

Adobe’un yakın dönemde Linux’taki Flash Player eklentisinin NPAPI sürümünü güncelleme kararı aldığını hatırlatmakta fayda var. Dört yıldır 11.2 sürümünde kalan bu sürüm, Linux üzerinde Chrome harici tarayıcılar için kullanılıyor. Chrome yeni bir PPAPI eklenti mimarisine geçmiş bulunuyor.

Flash Player’ın bu sürümü güvenlik yamalarını almaya devam etse de, yeni özellikler kullanılamıyordu. Ancak geçtiğimiz ay şirketin yaptığı açıklamada Linux için NPAPI Flash Player eklentisinin modern güncelleme ağacına senkronize edileceği belirtiliyordu.

Adobe ayrıca Digital Editions Windows, Mac, iOS ve Android için 4.5.2 sürümü yayınladı. Bu güncellemeyle şirketin e-kitap okuma uygulamasındaki sekiz ayrı güvenlik açığı kapatılıyor. Bunların tamamı uzaktan kod komutu vermeye olanak tanıyordu.

About PCWorld

Recommended for you

Leave a Reply

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir